# [Noises](https://pypi.org/project/noises) by [EscapedShadows](https://escapedshadows.com/pythonlibs/noises)
A comprehensive library for generating various types of image noise.

### Overview

Noises is a free and open-source Python library designed for generating a range of image noise types. Supported (or planned) types include:

- **Gaussian Noise**: Random values distributed according to a Gaussian distribution.
- **Perlin Noise**: Smooth, natural-looking noise commonly used for textures and procedural content.
- **Simplex Noise**: An enhanced version of Perlin noise offering improved performance and visual quality.
- **White Noise**: Random noise with equal intensity across all frequencies.
- **Pink Noise**: Noise with a frequency spectrum that decreases with increasing frequency.
- **Speckle Noise**: Grainy noise affecting images and signals.
- **Poisson Noise**: Noise following a Poisson distribution, particularly useful in low-light conditions.
- **Uniform Noise**: Noise with values uniformly distributed over a specified range.
- **Brownian Noise**: Also known as red noise, with power density inversely proportional to frequency.
- **Bernoulli Noise**: Noise generated using Bernoulli processes, often utilized in simulations.
- **Quantization Noise**: Arising from rounding during the digitization process.
- **Rayleigh Noise**: Noise based on the Rayleigh distribution, used in radar and signal processing.
- **Cauchy Noise**: Noise with heavy tails, used in specialized statistical models.
- **Gamma Noise**: Noise based on the Gamma distribution, useful for statistical simulations.
- **Exponential Noise**: Noise following an Exponential distribution, applied in various modeling scenarios.
- **Log-Normal Noise**: Noise based on the Log-Normal distribution, modeling multiplicative processes.
- **Chi-Squared Noise**: Noise modeled after the Chi-Squared distribution, used in statistical tests.
- **Weibull Noise**: Noise based on the Weibull distribution, used in reliability engineering.
- **Kurtosis Noise**: Noise with specific kurtosis properties for modeling heavy-tailed distributions.
- **Laplace Noise**: Noise based on the Laplace distribution, applied in diverse contexts.
- **Blue Noise**: Noise with increasing power density at higher frequencies.
- **Violet Noise**: Noise with power density increasing with the square of the frequency.
- **Poisson-Gaussian Noise**: A combination of Poisson and Gaussian noise, suitable for modeling complex environments.
- **Impulse Noise**: Sudden changes in pixel values, simulating digital corruption.

# Why Noises?

### The primary advantage of Noises is its lightweight, dependency-free nature. For optimal performance, it is recommended to use it alongside `requests` and `Pillow`.

# Background

### During a search for inspiration on PyPI, I found that "noises" was available. I decided to take it on and have been developing it since.

# Notes

### Please be aware that updates may not be frequent. As I am still in school and have other personal commitments, this README is a preliminary version and will be updated as necessary.